/*
  Copyright 2003 John Knottenbelt
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
*/

#include "faketuner.h"
#include "fakedemuxer.h"

FakeTuner::FakeTuner( const Tuner &realTuner )
  : Tuner( "/dev/dummy/frontend" )
{
  // No attempt is made to track the current
  // state of the tuner. This would be the place
  // to do it, though.

  setTuneParams(realTuner.getTuneParams());
}

Demuxer *FakeTuner::makeNewDemuxer(int pid, Demuxer::PESType pesType) const
{
  return new FakeDemuxer(const_cast<FakeTuner *>(this), pid, pesType);
}

bool FakeTuner::openFrontend()
{
  return true;
}

void FakeTuner::closeFrontend()
{
}

bool FakeTuner::openDvr()
{
  return true;
}

void FakeTuner::closeDvr()
{
}

bool FakeTuner::tune()
{
  return true;
}
